Skip to main content
POST
/
projects
/
{projectId}
/
tasks
/
stem-separation
Run stem separation for a project
curl --request POST \
  --url https://api.youka.io/api/v1/projects/{projectId}/tasks/stem-separation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "splitModel": "mdx23c"
}
'
{
  "projectId": "<string>",
  "taskId": "<string>",
  "projectUrl": "<string>",
  "taskUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

Path Parameters

projectId
string
required

Body

application/json
splitModel
enum<string>
required
Available options:
mdx23c,
audioshakeai,
audioshake_vocals_lead,
musicai_instrumental_only,
musicai_lead_backing_other,
musicai_with_backing_vocals,
musicai_without_backing_vocals,
uvr_mdxnet_kara_2,
bs_roformer,
mel_band_roformer_instrumental_becruily,
mel_band_roformer_instrumental_instv7_gabox,
demucs

Response

202 - application/json

Stem separation task accepted

projectId
string
required
taskId
string
required
projectUrl
string<uri>
required
taskUrl
string<uri>
required